package tycho.surefire.problem.chart;

import java.util.Random;

public class RandomUtils {
	
	private static final Random	RANDOM	= new Random();
	
	public static boolean randomBoolean() {
		return RandomUtils.RANDOM.nextBoolean();
	}
	
	public static double randomDouble(final double min, final double max) {
		return RandomUtils.RANDOM.nextDouble() * (max - min) + min;
	}
	
	public static float randomFloat(final float min, final float max) {
		return RandomUtils.RANDOM.nextFloat() * (max - min) + min;
	}
	
	public static int randomInteger(final int min, final int max) {
		return RandomUtils.RANDOM.nextInt(max - min) + min;
	}
	
	public static String randomString() {
		return Long.toHexString(RandomUtils.RANDOM.nextLong());
	}
	
	private RandomUtils() {
		// hide constructor
	}
	
}
